KUBERNETES(1)

NAME

kubeadm upgrade node - Upgrade commands for a node in the cluster. Currently only supports upgrading the configuration, not the kubelet itself.

SYNOPSIS

kubeadm upgrade node [OPTIONS]

DESCRIPTION

Upgrade commands for a node in the cluster. Currently only supports upgrading the configuration, not the kubelet itself.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-upgrade(1), kubeadm-upgrade-node-config(1), kubeadm-upgrade-node-experimental-control-plane(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!